manifestVersion: "0.0.1"
id: donetick
name: Donetick
tagline: Умный способ организовать задачи и работу по дому
category: files
version: "0.1.75"
port: 8121
description: >-
  Donetick — это приложение для управления задачами с открытым исходным кодом, предназначенное для оптимизации организации домашних дел и других повторяющихся обязанностей. Он обеспечивает гибкую систему назначения задач нескольким пользователям с использованием различных стратегий выбора, таких как случайное распределение или назначение на основе наименьшего количества выполненных задач. Задачи можно планировать с помощью настраиваемых шаблонов повторения, что позволяет легко управлять как повседневными делами, так и менее частыми обязанностями.
  
  
  Платформа предлагает отслеживание прогресса в режиме реального времени и интегрируется с внешними службами уведомлений, такими как Telegram и Pushover, гарантируя, что пользователи будут в курсе предстоящих или просроченных задач. Кроме того, Donetick поддерживает интеграцию API, позволяя автоматически запускать задачи из других систем.
  
  
  Для аутентификации и управления пользователями Donetick поддерживает систему единого входа (SSO) и OpenID Connect (OIDC), что упрощает интеграцию с существующими поставщиками удостоверений. Уникальной особенностью платформы является поддержка тегов NFC, позволяющая пользователям выполнять задачи, просто сканируя тег. Ярлыки и группы задач еще больше улучшают организацию, позволяя классифицировать задачи и эффективно распределять их среди участников.
  
  
  Благодаря сочетанию автоматизации, интеллектуального планирования и совместного распределения задач Donetick предоставляет мощное и удобное решение для управления домашними и групповыми обязанностями.
developer: Donetick
website: https://donetick.com/
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
repo: https://github.com/donetick/donetick
support: https://github.com/donetick/donetick/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
  - 5.jpg
releaseNotes: >-
  Это большой выпуск со множеством новых функций и улучшений:
    - Добавлена поддержка интернационализации — благодаря вкладу сообщества появляется больше языков.
    - История перепланирования теперь отслеживается для работ по дому, что дает лучшую видимость того, как были перемещены задачи.
    - Фильтрация меток теперь доступна в расширенной системе фильтров.
    - На боковую панель добавлена новая панель Smart Insights для анализа задач и предложений.
    - Быстрый фильтр «Доступно для меня» усовершенствован, чтобы отображать назначенные вам или неназначенные дела по дому.
    - Расширенная документация API и поддержка аутентификации через Swagger.
    - Добавлен 30-секундный льготный период для проверки времени редактирования.
    - Выровнены требования к паролю и увеличена максимальная длина пароля до 64 символов.
    - Теперь поддерживаются пользовательская конфигурация отправителя электронной почты и отдельная пользовательская конфигурация SMTP.
    - Событие TaskCreated теперь включено.
    - Исправлена ошибка, из-за которой лицу, не назначенному лицу, могла быть неправильно назначена работа на основании предыдущих завершений.
    - Исправлены правила «следующего назначенного», которые не соблюдались для триггерных задач.
    - Добавлена простая проверка работоспособности конечной точки API.
    - Исправлены заголовки кэша для статических ресурсов.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/donetick/donetick.
dependencies: []
path: ""
defaultUsername: ""
defaultPassword: ""
